define sshd::alloweduser
(
  $user = $name,
  $domain  = undef
)
{
  validate_string( $user )
  validate_string( $domain )

  # Tests
  $alreadyExists = "/usr/bin/getent group ${sshd::accessGroupName} | grep -v ${user}"
  $domainJoined  = "/usr/bin/test `/usr/bin/wbinfo --own-domain  2>&1` = '${domain}'"

  if ( $domain ) {
    $test = [ $domainJoined, $alreadyExists ]
  }
  else
  {
    $test = $alreadyExists
  }

  exec { "usermod_${user}" :
    command => "/usr/sbin/usermod -a -G ${sshd::accessGroupName} ${user}",
    onlyif  => $test,
  }
}
