class sshd::config
inherits sshd
{

  # Set up the sshAccess group with the $allowedUsers
  group { $sshd::accessGroupName :
    ensure   => present,
    provider => groupadd,
  }

  file_line { 'sshd_access_group_name' :
    path    => $sshd::config,
    line    => "AllowGroups ${sshd::accessGroupName}",
    match   => '^#?\s*AllowGroups',
    require => Class['sshd::install'],
    notify  => Service[ $sshd::service_name ],
  }

  file_line { 'sshd_permit_root_login' :
    path    => $sshd::config,
    line    => "PermitRootLogin ${sshd::permitRootLogin}",
    match   => '^#?\s*PermitRootLogin',
    require => Class['sshd::install'],
    notify  => Service[ $sshd::service_name ],
  }

  file_line { 'sshd_strict_modes' :
    path    => $sshd::config,
    line    => "StrictModes ${sshd::strictModes}",
    match   => '^#?\s*StrictModes',
    require => Class['sshd::install'],
    notify  => Service[ $sshd::service_name ],
  }

}
