class sshd
(
  $accessGroupName   = $sshd::params::access_group_name,
  $permitRootLogin   = $sshd::params::permit_root_login,
  $strictModes       = $sshd::params::strict_modes,
  $access_group_name = $sshd::params::access_group_name,
  $permit_root_login = $sshd::params::permit_root_login,
  $strict_modes      = $sshd::params::strict_modes,
  $config            = $sshd::params::config,
  $package_ensure    = $sshd::params::package_ensure,
  $package_name      = $sshd::params::package_name,
  $service_ensure    = $sshd::params::service_ensure,
  $service_enable    = $sshd::params::service_enable,
  $service_manage    = $sshd::params::service_manage,
  $service_name      = $sshd::params::service_name,
)
inherits sshd::params
{

  validate_string( $accessGroupName )
  validate_string( $permitRootLogin )
  validate_string( $strictModes )
  validate_string( $access_group_name )
  validate_string( $permit_root_login )
  validate_string( $strict_modes )
  validate_string( $config )
  validate_string( $package_ensure )
  validate_string( $package_name )
  validate_string( $service_ensure )
  validate_bool( $service_enable )
  validate_bool( $service_manage )
  validate_string( $service_name )

  contain sshd::install
  contain sshd::config
  contain sshd::service

}
